The Community Forums

Interact with an entire community of cPanel & WHM users.
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Exim ACL problem after upgrade to cPanel 10.5.0-C49

Discussion in 'General Discussion' started by markhard, Aug 14, 2005.

  1. markhard

    markhard Well-Known Member

    Joined:
    Apr 22, 2004
    Messages:
    250
    Likes Received:
    0
    Trophy Points:
    16
    after upgrade to cpanel 10.5.0-c49 which upgrade exim to 4.52, now i can't receive or sending email, always get this error on exim_rejectlog:

    how to fix this?
     
  2. bijo

    bijo Well-Known Member

    Joined:
    Aug 21, 2004
    Messages:
    475
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    Exim.pl

    Hello,

    You are missing exim.pl. Try the following command
    -------------------------
    /scripts/exim4 --latest
    -------------------------
    It will help you to solve this issue.
     
  3. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider

    Please send a copy of your /var/cpanel/updatelogs/ so we can troubleshoot why this happened.
     
  4. markhard

    markhard Well-Known Member

    Joined:
    Apr 22, 2004
    Messages:
    250
    Likes Received:
    0
    Trophy Points:
    16
    when i run that script i get this error message:

    rpmdb: /var/lib/rpm/Packages: unexpected file type or format
    error: cannot open Packages index using db3 - Invalid argument (22)
    Unable to access the package manager database.
    Traceback (most recent call last):
    File "/usr/bin/swup", line 30, in ?
    retval, extra = runswup(sys.argv[1:])
    File "/usr/bin/swup", line 24, in runswup
    retval = swup.main( args )
    File "/usr/lib/swup/swup.py", line 532, in main
    agent = upgrade.install_package(args, config)
    File "/usr/lib/swup/upgrade.py", line 1324, in __init__
    Upgrade.__init__( self, configdict )
    File "/usr/lib/swup/upgrade.py", line 116, in __init__
    self.init()
    File "/usr/lib/swup/upgrade.py", line 104, in init
    self._init_driver()
    File "/usr/lib/swup/upgrade.py", line 71, in _init_driver
    self.pkgdrv = pkgdriver.pkgdriver(self.config, self.log)
    File "/usr/lib/python2.2/site-packages/swuplib/driver/pkgdriver.py", line 49, in __init__
    raise ex.driver_error, message
    swuplib.ex.driver_error: Unable to access the package manager database.
     
  5. Holbrookau

    Holbrookau Active Member

    Joined:
    Aug 23, 2002
    Messages:
    35
    Likes Received:
    0
    Trophy Points:
    6
    I had the same issue (for the second time this month :mad: ).
    Try: /scripts/eximup --force
     
  6. bijo

    bijo Well-Known Member

    Joined:
    Aug 21, 2004
    Messages:
    475
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
  7. markhard

    markhard Well-Known Member

    Joined:
    Apr 22, 2004
    Messages:
    250
    Likes Received:
    0
    Trophy Points:
    16
    trying following guide from link you give, but still rpmdb is error:

    running rm -f /var/lib/rpm/__db* won't fix rpmdb

    # rpm -vv --rebuilddb
    D: rebuilding database /var/lib/rpm into /var/lib/rpmrebuilddb.32575
    D: creating directory /var/lib/rpmrebuilddb.32575
    D: opening old database with dbapi 3
    D: opening db environment /var/lib/rpm/Packages create:mpool
    D: opening db index /var/lib/rpm/Packages rdonly mode=0x0
    rpmdb: /var/lib/rpm/Packages: unexpected file type or format
    D: closed db index /var/lib/rpm/Packages
    D: closed db environment /var/lib/rpm/Packages
    D: removed db environment /var/lib/rpm/Packages
    D: opening db file /var/lib/rpm/packages.rpm mode 0x0
    D: closed db file /var/lib/rpm/packages.rpm
    error: cannot open Packages index
    D: removing directory /var/lib/rpmrebuilddb.32575
     
  8. markhard

    markhard Well-Known Member

    Joined:
    Apr 22, 2004
    Messages:
    250
    Likes Received:
    0
    Trophy Points:
    16
    i succeded fixing rpm database, then i run /scripts/exim4 --latest

    # /scripts/exim4 --latest
    Warning, /scripts/exim4 is depreciated. Your request has been passed to /scripts/eximup
    Exim Setup Script Version 20.0
    Fetching version information from http://updates.cpanel.net/eximinstall/version (CURRENT)....Done
    This is the exim 4.52 installer release number 7 for platform trustix 2.2
    Fetching upgrade info: 'http://download.trustix.com/tsel/addons/2/rdfs/latest.rdf'
    Fetching upgrade info for site: Trustix Official http
    Downloading latest.rdf.gz - done
    Parsing file: latest.rdf - done
    Fetching upgrade info for site: Trustix Official ftp
    Downloading latest.rdf.gz - done
    Parsing file: latest.rdf - done
    Fetching resource info for site: Trustix Official ftp
    Downloading resources.rdf.gz - done
    Parsing file: resources.rdf - done
    Fetching resource info for site: Trustix Official http
    Downloading resources.rdf.gz - done
    Parsing file: resources.rdf - done
    Fetching resource info: 'http://download.trustix.com/tsel/addons/2/rdfs'
    Verifying packages.
    Nothing found for 'libdb3.3-devel'

    Package 'openssl' is already newest version.
    Done verifying packages.
    Resolving zlib: /sbin/ldconfig (1 /7 )Can't find distro version at /scripts/fileversion.pl line 18.
    Resetting Exim to cPanel Defaults and Installing the Latest Version
    --23:24:58-- http://diff.cpanel.net/exim/4.52-7/..._rewrite_mm2_mmmtrap_exiscan_md5pass.i586.rpm
    => `exim-4.52-7_cpanel_smtpctl_av_rewrite_mm2_mmmtrap_exiscan_md5pass.i586.rpm'
    Resolving diff.cpanel.net... 198.66.78.12, 69.72.164.151, 69.72.164.152, ...
    Connecting to diff.cpanel.net[198.66.78.12]:80... connected.
    HTTP request sent, awaiting response... 200 OK
    Length: 976,234 [application/x-rpm]

    100%[=================================================================================>] 976,234 971.99K/s

    23:24:59 (970.39 KB/s) - `exim-4.52-7_cpanel_smtpctl_av_rewrite_mm2_mmmtrap_exiscan_md5pass.i586.rpm' saved [976234/976234]

    Preparing... Building exim.conf...Exim version 4.52 #1 built 28-Jul-2005 07:22:47
    Copyright (c) University of Cambridge 2005
    Berkeley DB: Sleepycat Software: Berkeley DB 4.1.25: (December 19, 2002)
    Support for: iconv() PAM Perl OpenSSL Content_Scanning Old_Demime
    Lookups: lsearch wildlsearch nwildlsearch iplsearch dbm dbmnz
    Authenticators: cram_md5 plaintext spa
    Routers: accept dnslookup ipliteral manualroute queryprogram redirect
    Transports: appendfile autoreply pipe smtp
    Configuration file is /etc/exim.conf.buildtest
    `/etc/exim.conf.buildtest' -> `/etc/exim.conf'
    23:25:00 listing root's fcrontab
    23:25:00 installing file /tmp/fcr-8gXwrg for user root
    Modifications will be taken into account right now.
    Done
    exim: no process killed
    Waiting for exim to restart..............finished.

    mailnull 15953 0.0 0.9 6508 4580 ? S 23:10 0:00 /usr/bin/perl /usr/local/cpanel/bin/eximstats
    mailnull 16595 0.0 0.3 6064 1832 ? S 23:25 0:00 /usr/sbin/exim -bd -q60m
    mailnull 16600 0.0 0.3 6040 1808 ? S 23:25 0:00 /usr/sbin/exim -tls-on-connect -bd -oX 465
    root 16631 0.1 0.3 3492 1684 ? S 23:25 0:00 antirelayd

    exim started ok
    Install Complete



    but i still can't send email, from log above there is:

    Resolving zlib: /sbin/ldconfig (1 /7 )Can't find distro version at /scripts/fileversion.pl line 18.

    does this causing the problem?
     
Loading...

Share This Page